org.eclipse.gef.mvc.fx.parts

## Class DefaultSelectionHandlePartFactory

- java.lang.Object
- - org.eclipse.gef.mvc.fx.parts.DefaultSelectionHandlePartFactory

All Implemented Interfaces:
  IHandlePartFactory

    public class DefaultSelectionHandlePartFactory
    extends Object
    implements IHandlePartFactory

### Field Summary

Fields
`protected static double` `BENDPOINT_CREATE_HANDLE_MINIMUM_SEGMENT_LENGTH` The minimum segment length so that creation handles are shown.
`static String` `CONNECTED_HANDLE_COLOR_PROVIDER` An adapter role for the fill color of connected handles.
`static Color` `DEFAULT_CONNECTED_HANDLE_COLOR` Defines the default `Color` for connected handles.
`static Color` `DEFAULT_INSERT_HANDLE_COLOR` Defines the default `Color` for insertion handles.
`static Color` `DEFAULT_MOVE_HANDLE_COLOR` Defines the default `Color` for movement handles.
`static String` `INSERT_HANDLE_COLOR_PROVIDER` A binding key for the fill color of intra segment handles.
`static String` `MOVE_HANDLE_COLOR_PROVIDER` An adapter role for the fill color of segment end handles.
`static String` `MULTI_SELECTION_HANDLES_GEOMETRY_PROVIDER` The role name for the `Provider<IGeometry>` that will be used to generate selection handles for a multi selection.
`protected static double` `SEGMENT_CREATE_HANDLE_MINIMUM_SEGMENT_LENGTH` The minimum segment length for creation of segment create handles
`protected static double` `SEGMENT_MOVE_HANDLE_MINIMUM_SEGMENT_LENGTH` The minimum segment length for the creation of segment bend handles.
`static String` `SELECTION_HANDLES_GEOMETRY_PROVIDER` The role name for the `Provider<IGeometry>` that will be used to generate selection handles.

### Constructor Summary

Constructors
Constructor and Description
`DefaultSelectionHandlePartFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<IHandlePart<? extends Node>>` `createHandleParts(List<? extends IVisualPart<? extends Node>> targets, Map<Object,Object> contextMap)` Creates specific `IHandlePart`s for the given targets.
`protected List<IHandlePart<? extends Node>>` `createMultiSelectionHandleParts(List<? extends IVisualPart<? extends Node>> targets, Map<Object,Object> contextMap)` Creates handle parts for a multi selection.
`protected List<IHandlePart<? extends Node>>` `createSingleSelectionHandleParts(IVisualPart<? extends Node> target, Map<Object,Object> contextMap)` Creates handle parts for a single selection.
`protected List<IHandlePart<? extends Node>>` `createSingleSelectionHandlePartsForCurve(IVisualPart<? extends Node> target, Map<Object,Object> contextMap, Provider<BezierCurve[]> segmentsProvider)` Creates handle parts for a single selection of which the handle geometry is an `ICurve`.
`protected List<IHandlePart<? extends Node>>` `createSingleSelectionHandlePartsForPolygonalOutline(IVisualPart<? extends Node> target, Map<Object,Object> contextMap, Provider<BezierCurve[]> segmentsProvider)` Creates handle parts for a single selection of which the handle geometry is an `IShape` but not a `Rectangle`.
`protected List<IHandlePart<? extends Node>>` `createSingleSelectionHandlePartsForRectangularOutline(IVisualPart<? extends Node> target, Map<Object,Object> contextMap, Provider<BezierCurve[]> segmentsProvider)` Creates handle parts for a single selection of which the handle geometry is a `Rectangle`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSERT_HANDLE_COLOR_PROVIDER

    public static final String INSERT_HANDLE_COLOR_PROVIDER

A binding key for the fill color of intra segment handles.

See Also:
  Constant Field Values

#### DEFAULT_INSERT_HANDLE_COLOR

    public static final Color DEFAULT_INSERT_HANDLE_COLOR

Defines the default `Color` for insertion handles.

#### MOVE_HANDLE_COLOR_PROVIDER

    public static final String MOVE_HANDLE_COLOR_PROVIDER

An adapter role for the fill color of segment end handles.

See Also:
  Constant Field Values

#### DEFAULT_MOVE_HANDLE_COLOR

    public static final Color DEFAULT_MOVE_HANDLE_COLOR

Defines the default `Color` for movement handles.

#### CONNECTED_HANDLE_COLOR_PROVIDER

    public static final String CONNECTED_HANDLE_COLOR_PROVIDER

An adapter role for the fill color of connected handles.

See Also:
  Constant Field Values

#### DEFAULT_CONNECTED_HANDLE_COLOR

    public static final Color DEFAULT_CONNECTED_HANDLE_COLOR

Defines the default `Color` for connected handles.

#### SELECTION_HANDLES_GEOMETRY_PROVIDER

    public static final String SELECTION_HANDLES_GEOMETRY_PROVIDER

The role name for the `Provider<IGeometry>` that will be used to generate selection handles.

See Also:
  Constant Field Values

#### MULTI_SELECTION_HANDLES_GEOMETRY_PROVIDER

    public static final String MULTI_SELECTION_HANDLES_GEOMETRY_PROVIDER

The role name for the `Provider<IGeometry>` that will be used to generate selection handles for a multi selection.

See Also:
  Constant Field Values

#### BENDPOINT_CREATE_HANDLE_MINIMUM_SEGMENT_LENGTH

    protected static final double BENDPOINT_CREATE_HANDLE_MINIMUM_SEGMENT_LENGTH

The minimum segment length so that creation handles are shown.

See Also:
  Constant Field Values

#### SEGMENT_MOVE_HANDLE_MINIMUM_SEGMENT_LENGTH

    protected static final double SEGMENT_MOVE_HANDLE_MINIMUM_SEGMENT_LENGTH

The minimum segment length for the creation of segment bend handles.

See Also:
  Constant Field Values

#### SEGMENT_CREATE_HANDLE_MINIMUM_SEGMENT_LENGTH

    protected static final double SEGMENT_CREATE_HANDLE_MINIMUM_SEGMENT_LENGTH

The minimum segment length for creation of segment create handles

See Also:
  Constant Field Values

### Constructor Detail

#### DefaultSelectionHandlePartFactory

    public DefaultSelectionHandlePartFactory()

### Method Detail

#### createHandleParts

    public List<IHandlePart<? extends Node>> createHandleParts(List<? extends IVisualPart<? extends Node>> targets,
                                                               Map<Object,Object> contextMap)

Description copied from interface: `IHandlePartFactory`
Creates specific `IHandlePart`s for the given targets. As additional information might be needed by the `IHandlePartFactory` to identify the creation context, an additional contextMap is passed in upon creation.

Specified by:
  `createHandleParts` in interface `IHandlePartFactory`
Parameters:
  `targets` - The target `IVisualPart`s for which handles are to be created.
  `contextMap` - A map in which additional context information for the creation process can be placed.
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.

#### createMultiSelectionHandleParts

    protected List<IHandlePart<? extends Node>> createMultiSelectionHandleParts(List<? extends IVisualPart<? extends Node>> targets,
                                                                                Map<Object,Object> contextMap)

Creates handle parts for a multi selection.

Parameters:
  `targets` - The target `IVisualPart`s for which handles are to be created.
  `contextMap` - A map in which the state-less context `IBehavior`) may place additional context information for the creation process. It may either directly contain additional information needed by the `IHandlePartFactory`, or may be passed back by the `IHandlePartFactory` to the calling context `IBehavior` to query such kind of information (in which case it will allow the context `IBehavior` to identify the creation context).
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.

#### createSingleSelectionHandleParts

    protected List<IHandlePart<? extends Node>> createSingleSelectionHandleParts(IVisualPart<? extends Node> target,
                                                                                 Map<Object,Object> contextMap)

Creates handle parts for a single selection.

Parameters:
  `target` - The target `IVisualPart` for which handles are to be created.
  `contextMap` - A map in which the state-less context `IBehavior`) may place additional context information for the creation process. It may either directly contain additional information needed by the `IHandlePartFactory`, or may be passed back by the `IHandlePartFactory` to the calling context `IBehavior` to query such kind of information (in which case it will allow the context `IBehavior` to identify the creation context).
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.

#### createSingleSelectionHandlePartsForCurve

    protected List<IHandlePart<? extends Node>> createSingleSelectionHandlePartsForCurve(IVisualPart<? extends Node> target,
                                                                                         Map<Object,Object> contextMap,
                                                                                         Provider<BezierCurve[]> segmentsProvider)

Creates handle parts for a single selection of which the handle geometry is an `ICurve`.

Parameters:
  `target` - The target `IVisualPart` for which handles are to be created.
  `contextMap` - A map in which the state-less context `IBehavior`) may place additional context information for the creation process. It may either directly contain additional information needed by the `IHandlePartFactory`, or may be passed back by the `IHandlePartFactory` to the calling context `IBehavior` to query such kind of information (in which case it will allow the context `IBehavior` to identify the creation context).
  `segmentsProvider` - A provider for the segments of the handle geometry for which handles are to be created.
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.

#### createSingleSelectionHandlePartsForPolygonalOutline

    protected List<IHandlePart<? extends Node>> createSingleSelectionHandlePartsForPolygonalOutline(IVisualPart<? extends Node> target,
                                                                                                    Map<Object,Object> contextMap,
                                                                                                    Provider<BezierCurve[]> segmentsProvider)

Creates handle parts for a single selection of which the handle geometry is an `IShape` but not a `Rectangle`.

Parameters:
  `target` - The target `IVisualPart` for which handles are to be created.
  `contextMap` - A map in which the state-less context `IBehavior`) may place additional context information for the creation process. It may either directly contain additional information needed by the `IHandlePartFactory`, or may be passed back by the `IHandlePartFactory` to the calling context `IBehavior` to query such kind of information (in which case it will allow the context `IBehavior` to identify the creation context).
  `segmentsProvider` - A provider for the segments of the handle geometry for which handles are to be created.
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.

#### createSingleSelectionHandlePartsForRectangularOutline

    protected List<IHandlePart<? extends Node>> createSingleSelectionHandlePartsForRectangularOutline(IVisualPart<? extends Node> target,
                                                                                                      Map<Object,Object> contextMap,
                                                                                                      Provider<BezierCurve[]> segmentsProvider)

Creates handle parts for a single selection of which the handle geometry is a `Rectangle`.

Parameters:
  `target` - The target `IVisualPart` for which handles are to be created.
  `contextMap` - A map in which the state-less context `IBehavior`) may place additional context information for the creation process. It may either directly contain additional information needed by the `IHandlePartFactory`, or may be passed back by the `IHandlePartFactory` to the calling context `IBehavior` to query such kind of information (in which case it will allow the context `IBehavior` to identify the creation context).
  `segmentsProvider` - A provider for the segments of the handle geometry for which handles are to be created.
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.